#undef SystemSevenOrLater
#define SystemSevenOrLater 1
#include "Essential.h"
#include <GestaltEqu.h>

static
void ClearTheCounters(void) {
	pascal short (*Essential)(OSType selector, long *response);
	long	response;
	long	*tables;

	// first we test for the existence of the INIT and get the address of
	// EssentialGestalt all at once:
	if (Gestalt(sEssential, (void *)&Essential) == noErr) {
		// Then we call pGestalt as we wish.
		if (Essential(sClearTable, &response) == noErr) {
			// ordinarily you wouldn't vandalize the tables like this but we want to
			// know it worked.  You would think this would make the entire top line
			// of the screen gray, and it does, but only for a second because the
			// next thing that happens is counters get added to the running totals
			// and cleared, so half of the bits turn to white again.
			tables = (void *)response;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
			*tables++ = 0x55555555;
		}
	}
}

main(void) {
	ClearTheCounters();
}